Skip to Content
veriom

Update repository

PATCH
/v1/workspaces/{workspace_id}/repositories/{repository_id}

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
repository_id*Repository Id
Formatuuid

Request Body

application/json
  1. body
criticality?|null
enabled?boolean|null

Response Body

Successful Response

application/json
  1. response
archived*Archived
clone_url*string|null
connection_id*|null
criticality*Criticality
default_branch*Default Branch
enabled*Enabled
frameworks?array<string>

Application frameworks the same audit found declared, such as "FastAPI" or "Next.js", most declared first.

Itemsitems <= 5
id*Id
Formatuuid
languages?array<>

The main languages of the latest audit of the whole repository, largest first. Empty until such an audit has run.

Itemsitems <= 5
name*Name
owner*Owner
private*Private
provider*Provider
Value in"github""gitlab""bitbucket"
provider_repository_id*string|null
web_url*string|null
workspace_id*Workspace Id
Formatuuid
Example Request
curl -X PATCH 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "archived": true,  "clone_url": "string",  "connection_id": "d3547de1-d1f2-4344-b4c2-17169b7526f9",  "criticality": 0,  "default_branch": "string",  "enabled": true,  "frameworks": [    "string"  ],  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "languages": [    {      "name": "string",      "share": 0    }  ],  "name": "string",  "owner": "string",  "private": true,  "provider": "github",  "provider_repository_id": "string",  "web_url": "string",  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}